Package org.h2gis.functions.spatial.convert

# Class ST_AsBinary

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.convert.ST_AsBinary

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_AsBinary extends org.h2gis.api.DeterministicScalarFunction
Convert a geometry into Well Known Binary..

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_AsBinary()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static byte[]`
`toBytes(org.h2.value.ValueGeometry geometry)`
Convert a geometry into a binary value.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_AsBinary

public ST_AsBinary()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### toBytes

public static byte[] toBytes(org.h2.value.ValueGeometry geometry)
Convert a geometry into a binary value.

Parameters:
  `geometry` - Geometry instance
Returns:
  Well Known Binary